using System;

class cifra
{
    static void Main()
    {
        string[] s = Console.ReadLine().Split();
        int n=int.Parse(s[0]);
        int l=int.Parse(s[1]);
        s=Console.ReadLine().Split();
        int[] h=new int[10000];
        int br=1;
        for(int i=0; i<n; i++)
            h[i] = int.Parse(s[i]);
        for(int i=0; i<n;i++)
        {
            if (h[i] < l)
            {
                Console.WriteLine(br);
                return;
            }
            else
                br++;
        }
        Console.WriteLine("-1");
    }
}